package it.micegroup.gestioneferie.pianificazioneferie.criteria;

import java.io.Serializable;

import it.micegroup.voila2runtime.filter.LongFilter;
import it.micegroup.voila2runtime.filter.StringFilter;
import it.micegroup.voila2runtime.filter.LocalDateFilter;

public class DstatiPianoFerieCriteria implements Serializable {

	// SERIAL UID
	// Generated SERIAL VERSION UID
	private static final long serialVersionUID = 4210063078L;

	// FILTER ATTRIBUTES
	private LongFilter sequIdStatoPianoFerie;

	private StringFilter codiStatoPianoFerie;

	private StringFilter descStatoPianoFerie;

	private StringFilter utenteUltimaModifica;

	private LocalDateFilter dataInizioRecord;

	private LocalDateFilter dataFineRecord;

	private LocalDateFilter dataUltimaModifica;

	private StringFilter flagEliminato;

	// FILTER FATHER

	// FILTER IMPORTED FATHER

	// GETTER/SETTER
	/**
	 * @return the sequIdStatoPianoFerie
	 */
	public LongFilter getSequIdStatoPianoFerie() {
		return this.sequIdStatoPianoFerie;
	}

	/**
	 * @param sequIdStatoPianoFerie to set
	 */
	public void setSequIdStatoPianoFerie(LongFilter sequIdStatoPianoFerie) {
		this.sequIdStatoPianoFerie = sequIdStatoPianoFerie;
	}

	/**
	 * @return the codiStatoPianoFerie
	 */
	public StringFilter getCodiStatoPianoFerie() {
		return this.codiStatoPianoFerie;
	}

	/**
	 * @param codiStatoPianoFerie to set
	 */
	public void setCodiStatoPianoFerie(StringFilter codiStatoPianoFerie) {
		this.codiStatoPianoFerie = codiStatoPianoFerie;
	}

	/**
	 * @return the descStatoPianoFerie
	 */
	public StringFilter getDescStatoPianoFerie() {
		return this.descStatoPianoFerie;
	}

	/**
	 * @param descStatoPianoFerie to set
	 */
	public void setDescStatoPianoFerie(StringFilter descStatoPianoFerie) {
		this.descStatoPianoFerie = descStatoPianoFerie;
	}

	/**
	 * @return the utenteUltimaModifica
	 */
	public StringFilter getUtenteUltimaModifica() {
		return this.utenteUltimaModifica;
	}

	/**
	 * @param utenteUltimaModifica to set
	 */
	public void setUtenteUltimaModifica(StringFilter utenteUltimaModifica) {
		this.utenteUltimaModifica = utenteUltimaModifica;
	}

	/**
	 * @return the dataInizioRecord
	 */
	public DateFilter getDataInizioRecord() {
		return this.dataInizioRecord;
	}

	/**
	 * @param dataInizioRecord to set
	 */
	public void setDataInizioRecord(DateFilter dataInizioRecord) {
		this.dataInizioRecord = dataInizioRecord;
	}

	/**
	 * @return the dataFineRecord
	 */
	public DateFilter getDataFineRecord() {
		return this.dataFineRecord;
	}

	/**
	 * @param dataFineRecord to set
	 */
	public void setDataFineRecord(DateFilter dataFineRecord) {
		this.dataFineRecord = dataFineRecord;
	}

	/**
	 * @return the dataUltimaModifica
	 */
	public DateFilter getDataUltimaModifica() {
		return this.dataUltimaModifica;
	}

	/**
	 * @param dataUltimaModifica to set
	 */
	public void setDataUltimaModifica(DateFilter dataUltimaModifica) {
		this.dataUltimaModifica = dataUltimaModifica;
	}

	/**
	 * @return the flagEliminato
	 */
	public StringFilter getFlagEliminato() {
		return this.flagEliminato;
	}

	/**
	 * @param flagEliminato to set
	 */
	public void setFlagEliminato(StringFilter flagEliminato) {
		this.flagEliminato = flagEliminato;
	}

	// GETTER/SETTER FATHER

	// GETTER/SETTER IMPORTED FATHER

	// GEN COMPOSITE FILTER

}
